import numpy as np
import pandas as pd

summary_df = pd.read_csv('/Users/jessegourevitch/Documents/UVM/Dissertation/Ch1_LewisCreek/Optimization_Outputs/summary_logbook.csv')
gainputs_df = pd.read_csv('/Users/jessegourevitch/Documents/UVM/Dissertation/Ch1_LewisCreek/Optimization_Outputs/ga_inputs.csv')

summary_df['AVOIDEDCOST_ADJUSTED'] = pd.Series([0]*len(summary_df))

for i, indv in enumerate(summary_df['INDIVIDUAL']):
	print ('%d of %d' %(i, len(summary_df)))
	scenario = map(int, indv[1:-1].split(','))
	scenario = pd.Series(scenario)
	xs = scenario.index[scenario!=0]
	ga_df_scenario = gainputs_df[gainputs_df['XS'].isin(xs)]
	ga_df_scenario= ga_df_scenario.sort_values(by=['XS']).reset_index(drop=True)
	intervention = scenario[scenario!=0].repeat(3).reset_index(drop=True)
	ga_df_scenario = ga_df_scenario[ga_df_scenario['INTERVENTION']==intervention]

	avoidedcost_adj = np.nansum(ga_df_scenario['AVOIDEDCOST_ADJUSTED'])
	summary_df.at[i, 'AVOIDEDCOST_ADJUSTED'] = avoidedcost_adj

summary_df.to_csv('/Users/jessegourevitch/Desktop/summary_logbook.csv', index=False)