################################## Constants ###################################

### Feet to meters
ft2meters = 0.3048
meters2ft = 1 / ft2meters


### Acres to hectares
ac2ha = 0.404686
ha2ac = 1 / ac2ha


### Number of restorable cross sections in watersheds
cross_sections = {'lewiscreek': 199}


### Cost of forest restoration 
### To plant 300 stems/ac bareroot trees and shrubs (avg 3' height)
### Source: Personal communication with Ben Gabos (NRCS, St. Albans, VT) 
### sent on 2/23/18.
### See email from Beverley sent on 2/23/18 (subject: "FW: ready when you are")
forestreveg_cost_dollars_ac = 2600
forestreveg_cost_dollars_ha = forestreveg_cost_dollars_ac / ac2ha

### Cost of wetland restoration
### Source: Personal communication with James Eikenberry (NRCS, Colchester, VT) 
### sent on 6/12/17.
### See email from Nitin sent on 8/28/17 (subject: "Cost for wetland restoration 
### and revegetating floodplains..")
wetlandreveg_cost_dollars_ac = 1300
wetlandreveg_cost_dollars_ha = wetlandreveg_cost_dollars_ac / ac2ha

### Cost of floodplain lowering
### Source:
floodplainlowering_cost_dollars_ac = 5000
floodplainlowering_cost_dollars_ha = floodplainlowering_cost_dollars_ac / ac2ha

### Site-type to damage function
### Copied from HAZUS
sitetype2damagefunc_dict = {
	'SINGLE FAMILY DWELLING': 'R12B',
	'MULTI-FAMILY DWELLING':  'R12B',
	'MOBILE HOME': 			  'R21N',
	'OTHER COMMERCIAL': 	  'C1LB',
	'COMMERCIAL':			  'C1LB',
	}


### Manning's N values for LULC classes
### Source: Kalyanapu et al. 2009. Journal of Spatial Hydrology. (Table 2)
mannings_n_lulc = {
	'stream':					 0.0400, # Value from Nitin, not above source
	'developed_openspace':       0.0410,
	'developed_lowintensity':    0.0678,
	'developed_mediumintensity': 0.0678,
	'developed_highintensity':   0.0410,
	'barren_land': 				 0.0113,
	'deciduous_forest': 		 0.2000, # Use this value for restoration
	'evergreen_forest': 		 0.2000,
	'mixed_forest': 			 0.2000,
	'shrub_scrub': 				 0.0500, # Value from Nitin, not above source
	'grassland_herbaceous': 	 0.0500, # Value from Nitin, not above source
	'pasture_hay': 				 0.0500, # Value from Nitin, not above source
	'woody_wetlands': 			 0.0860,
	'herbaceous_wetlands': 		 0.1825
	}