from paths import *

def main():

	# run_hecras()
	# process_rasoutputs()
	# run_ga()
	make_figures()

	return None


def run_hecras():
	import ras_driver

	args = {
		'data_dict': None,
		'ras_proj_dir': None,
		'N_xs': 199,
		'N_interventions': 3,
		'flood_events': [2, 10, 25, 100],
		'intervention_logbooks_dir': intervention_logbooks_dir,
		}

	ras_driver.execute(args)

	return None


def process_rasoutputs():
	import ras_postprocessing

	ras_postprocessing.process_rasoutputs()

	return None


def run_ga():
	import objective_function, optimization_driver

	### Initialize GA args
	args = {
		'multiprocessing': None, # [None, 'scoop', 'multi']
		'indv_length': 199, # Number of decision-units
		'pop_size': 100 * 56, # Pop must be multiple of 56, for stratification
		'gens': 500,
		'cxpb': 0.9,
		'mutpb': 0.1,
		
		'mut_operator': 'mutUniformInt', # ['mutFlipBit', 'mutUniformInt']
		'cx_operator': 'cxUniform', # ['cxUniform', 'cxOnePoint', 'cxTwoPoint']
		'sel_operator': 'selNSGA2', # ['selTournament', 'selNSGA2', 'selSPEA2']

		'fit_func': objective_function.evaluate_fitness,
		'N_interventions': 3, 

		# 'obj_metrics': ['avoidedcost_ew_-2', 'avoidedcost_ew_-1', 
						# 'avoidedcost_ew_0', 'avoidedcost_ew_1', 
						# 'avoidedcost_ew_2', 'restorationcost'],
		# 'weights': [1.0, 1.0, 1.0, 1.0, 1.0, -1.0],
		'obj_metrics': ['avoidedcost_ew_-2', 'restorationcost'],
		'weights': [1.0, -1.0],

		'intervention_logbooks_dir': intervention_logbooks_dir,
		'summary_logbook_uri': summary_logbook_uri,
		'indv_logbooks_dir': individual_logbooks_dir,
		'args_json_uri': args_json_uri,
		'gen_counter': 0
		}

	optimization_driver.execute(args)

	return None


def make_figures():
	import figures_driver

	args = {
		'make_depthdamage': False,
		'make_equityweights_v1': False,
		'make_equityweights_v2': False,
		
		'make_fitness_plot': False,
		'make_diversity_plot': False,
		'make_violin_plot': False,
		'make_kde_plot': False,

		'make_benefitcost_frontier': True,
		'make_benefitcost_maps': False,
		'make_benefitcost_distributionplot_baseline': False,

		'make_equityweighted_frontier': False,
		'make_equityweighted_maps': False,
		'make_equityweighted_distributionplots': False,
		'make_equityweighted_distributionbars': False,
		'make_equityweighted_benefitcost_frontier': False
		}

	figures_driver.execute(args)

	return None


if __name__ == '__main__':
	main()