import cti, identify_wetlands, validate

from paths import *

### Create CTI from 30m DEM
cti.execute(dem_30m_uri, cti_30m_dir)

### Create CTI from 10m DEM
cti.execute(dem_10m_uri, cti_10m_dir)



### Identify potential wetlands from 30m CTI
identify_wetlands.execute(cti_30m_uri, lulc_uri, drainage_uri, wetlands_30m_uri)

### Identify potential wetlands from 10m CTI
identify_wetlands.execute(cti_10m_uri, lulc_uri, drainage_uri, wetlands_10m_uri)



### Validate potential wetlands dataset from 30m wetlands
error_dict = validate.execute(wetlands_30m_uri, actual_wetlands_uri) 

### Validate potential wetlands dataset from 10m wetlands
error_dict = validate.execute(wetlands_10m_uri, actual_wetlands_uri) 
