import os

### Stem

# Absolute path to directory
stem = os.path.dirname(os.path.dirname(os.path.realpath(__file__)))



### Input URIs
	
# GeoTIFF for 30m NED DEM
dem_30m_uri = os.path.join(stem, 'Data/DEM/NED_30m/NED_DEM_30m_filled.tif')

# GeoTIFF for 10m NED DEM
dem_10m_uri = os.path.join(stem, 'Data/DEM/NED_10m/NED_DEM_10m_filled.tif')

# GeoTIFF for NLCD LULC 2011
lulc_uri = os.path.join(stem, 'Data/LULC/NLCD_2011/NLCD_2011.tif')

# GeoTIFF for drainage raster derived from gSSURGO
drainage_uri = os.path.join(stem, 'Data/Soils/gSSURGO/Cleaned/Lookup_Rasters/drclassdcd_proj.tif')

# Shapefile for actual wetlands
actual_wetlands_uri = os.path.join(stem, 'Data/Wetlands/VSWI_Wetlands_Class_Layer/VSWI_Wetlands_Class_Layer.shp')



### Output URIs

# Directory for 30m CTI-related outputs
cti_30m_dir = os.path.join(stem, 'Data/DEM_Derived/CTI/NED_30m/')

# GeoTIFF for 30m CTI
cti_30m_uri = os.path.join(cti_30m_dir, 'cti.tif')

# Directory for 10m CTI-related outputs
cti_10m_dir = os.path.join(stem, 'Data/DEM_Derived/CTI/NED_10m/')

# GeoTIFF for 10m CTI
cti_10m_uri = os.path.join(cti_10m_dir, 'cti.tif')

# Directory for 30m identified wetlands outsputs
wetlands_dir = os.path.join(stem, 'Data/Wetlands/Identified_Potential_Wetlands')

# GeoTIFF for 30m potential wetlands
wetlands_30m_uri = os.path.join(wetlands_dir, 'potential_wetlands_30m.tif')

# GeoTIFF for 30m potential wetlands
wetlands_10m_uri = os.path.join(wetlands_dir, 'potential_wetlands_10m.tif')