import os

### Stem

# Absolute path to directory
stem = os.path.dirname(os.path.dirname(os.path.realpath(__file__)))


### Input URIs

# Point shapefile for E911 site-locations
e911_shp_uri = os.path.join(stem, 'Data/E911/E911_SiteLocations_ParcelsJoined_LewisCreekClipped.shp')

# CSV for pre-processed E911 site-locations
e911_csv_uri = os.path.join(stem, 'Data/E911/e911_preprocessed.csv')

# CSV for depth damage curves
depthdamage_funcs_uri = os.path.join(stem, 'Data/DepthDamage_Functions/depthdamage_functions.csv')

# Text file for grand list
grandlist_uri = os.path.join(stem, 'Data/Grand_List/2016/Statewide_Grand_List_File/Statewide_GrandList_2016_Final.txt')

# CSV for common level of appraisal data
cla_uri = os.path.join(stem, 'Data/Common_Level_Appraisal/CLA_2016.csv')

# HEC-RAS.exe 
ras_exe_uri = r'C:\Program Files (x86)\HEC\HEC-RAS\5.0.5\Ras.exe'

# HEC-RAS model directory
ras_dir = os.path.join(stem, 'Models/HEC_RAS/')  

# Easement costs URI
easementcosts_uri = os.path.join(stem, 'Data/Easement_Costs/CrossSections_EasementCosts.xlsx')

# Cross-section directory
xs_dir = os.path.join(stem, 'Data/Cross_Sections/')

# Peak flow directory
pf_dir = os.path.join(stem, 'Data/PeakFlow_Events/')

# Lewis Creek baseline DEM
baseline_dem_uri = os.path.join(stem, 'Data/Terrain/lewiscreek/Terrain.lcfb_hflidar.tif')

# Lewis Creek cut DEM
cut_dem_uri = os.path.join(stem, 'Data/Floodplain_Reconnection/Xsections_LCFB_IncRationSelection_8mbuffer_clipped_AI05117_RevBankHt1.tif')

# Lewis Creek XS raster
xs_raster_uri = os.path.join(stem, 'Data/Floodplain_Reconnection/Xsections_LCFB_IncRationSelection_8mbuffer_clipped_AI05117_ProfileM.tif')

# Rasters for plotting
raster_uri_dict = {
	'lewiscreek_lulc_uri': os.path.join(stem, 'Data/LULC/NLCD_2011/NLCD_2011_Reclassified_LewisCreek.tif'),
	'madriver_lulc_uri': os.path.join(stem, 'Data/LULC/NLCD_2011/NLCD_2011_Reclassified_MadRiver.tif'),
	'hungerford_lulc_uri': os.path.join(stem, 'Data/LULC/NLCD_2011/NLCD_2011_Reclassified_Hungerford.tif')
	}

# Shapefiles for plotting
shp_uri_dict = {
	'lewiscreek_shp_uri': os.path.join(stem, 'Data/Watershed_Boundaries/HUC12/LewisCreek.shp'),
	# 'lewiscreek_xs_shp_uri': os.path.join(stem, 'Data/Cross_Sections/lewiscreek_xs.shp'),
	'lewiscreek_xs_shp_uri': os.path.join(stem, 'Data/Cross_Sections/lewiscreek_xs_polygon_nearestneighbor.shp'),
	'lewiscreek_stream_shp_uri': os.path.join(stem, 'Data/Rivers/lewiscreek_river.shp'),
	'towns_shp_uri': os.path.join(stem, 'Data/Administrative_Boundaries/Vermont_Towns/Towns.shp'),
	} 

	
### Output URIs

# Output directory for optimization results
optimization_output_dir = os.path.join(stem, 'Optimization_Outputs/')

# Directory of logbooks for individuals in optimization
intervention_logbooks_dir = os.path.join(optimization_output_dir, 'intervention_logbooks/')

# CSV for optimization summary logbook 
summary_logbook_uri = os.path.join(optimization_output_dir, 'summary_logbook.csv')

# Directory of logbooks for individuals in optimization
individual_logbooks_dir = os.path.join(optimization_output_dir, 'individual_logbooks/')

# Output directory for figures
figures_dir = os.path.join(stem, 'Figures/')

# Output JSON files for GA parameters
args_json_uri = os.path.join(optimization_output_dir, 'ga_args.json')

# Output JSON for baseline scenario outputs
base_json_uri = os.path.join(optimization_output_dir, 'base_outputs.json')

# Input CSV for GA
ga_inputs_csv_uri = os.path.join(optimization_output_dir, 'ga_inputs.csv')


